<?php
if(!isset($_SESSION)) {
    session_start();
}

$correcto = false;
$sesion   = false;
$mensaje  = 'No se puedo guardar la información';

require_once($_SERVER['DOCUMENT_ROOT'].'/varios/varios.php');
require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');

if( Varios::isActiveSession() 
    && ( Varios::hasModuleActionAccess(6, 6)
    )
) {	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Varios.Class.php');
	// Variables recibidas correctamente, sanitizamos las  variables
	$txt_modificar     	= filter_var($_POST["txt_modificar"], FILTER_SANITIZE_NUMBER_INT);
	$cmb_bodega 		= filter_var($_POST["cmb_bodega"], FILTER_SANITIZE_NUMBER_INT);
	$txt_codigo 		= filter_var($_POST["txt_codigo"], FILTER_SANITIZE_STRING);
	$txt_descripcion 	= filter_var($_POST["txt_descripcion"], FILTER_SANITIZE_STRING);
	$txt_capacidad_max 	= filter_var($_POST["txt_capacidad_max"], FILTER_SANITIZE_NUMBER_INT);
	$cmb_prioridad 	= filter_var($_POST["cmb_prioridad"], FILTER_SANITIZE_NUMBER_INT);
	
	
	require_once($_SERVER['DOCUMENT_ROOT'].'/clases/Puerta.Class.php');
	$puerta_obj = new Puerta(null);

	if ($txt_modificar == 0){
		$auditoria_accion   = "Insert";
    	$auditoria_tabla    = "puerta";
    	$auditoria_sql      = "EXEC agenda.SP_puerta_ingresa ".$cmb_bodega.", '".$txt_codigo."', '".$txt_descripcion."', ".$txt_capacidad_max.", ".$cmb_prioridad;
    
		$puerta_resultado  = $puerta_obj->ingresarPuerta($cmb_bodega, $txt_codigo, $txt_descripcion, $txt_capacidad_max, $cmb_prioridad );
	} else {
		$cmb_estado   		= filter_var($_POST["cmb_estado"], FILTER_SANITIZE_STRING);
		$auditoria_accion   = "Update";
    	$auditoria_tabla    = "puerta";
    	$auditoria_sql      = "EXEC agenda.SP_puerta_modifica ".$txt_modificar.", ".$cmb_bodega.", '".$txt_codigo."', '".$txt_descripcion."', ".
																	$txt_capacidad_max.", ".$cmb_prioridad.", ".$cmb_estado;
		$puerta_resultado  = $puerta_obj->modificarPuerta($txt_modificar, $cmb_bodega, $txt_codigo, $txt_descripcion, $txt_capacidad_max, $cmb_prioridad, $cmb_estado);
	}
	
	$mensaje   = $puerta_resultado[1];
	$resultado = $puerta_resultado[0];	
	if($puerta_resultado[0] > 0) {		
		$correcto 	= true;		
	}
	Varios::auditInsert( $auditoria_accion, $auditoria_tabla, $auditoria_sql, $resultado, $mensaje );	
	$puerta_obj->Close();	
} 

$data = array('success' => $correcto, 'mensaje' => $mensaje, 'sesion' => $sesion );
echo json_encode($data);
?>